const MamiContext = function(props) {
    const pub = {};

    for(const name in props) {
        if(!props.hasOwnProperty(name))
            continue;

        const value = props[name];
        const descriptor = { enumerable: true };
        descriptor[typeof value === 'function' ? 'get' : 'value'] = value;
        Object.defineProperty(pub, name, descriptor);
    }

    return Object.freeze(pub);
};
